QImageDecoder(3qt)

NAME
QImageDecoder - Incremental image decoder for all supported image formats

SYNOPSIS

#include <qasyncimageio.h>

  Public Members
QImageDecoder ( QImageConsumer * c )
~QImageDecoder ()
const QImage& image ()
int decode ( const uchar * buffer, int length )

  Static Public Members
const char* formatName ( const uchar * buffer, int length )
QStrList inputFormats ()
void registerDecoderFactory ( QImageFormatType * )
void unregisterDecoderFactory ( QImageFormatType * )

DESCRIPTION
Incremental image decoder for all supported image formats.

New formats are installed by creating objects of class QImageFormatType, and the QMovie class can be used for using all installed incremental image formats; QImageDecoder is only useful for creating new ways of feeding data to an QImageConsumer.

MEMBER FUNCTION DOCUMENTATION

QImageDecoder::QImageDecoder ( QImageConsumer * c )
Constructs a QImageDecoder which will send change information to a given QImageConsumer.

QImageDecoder::~QImageDecoder ()
Destroys a QImageDecoder. The image it built is destroyed. The decoder built by the factory for the file format is destroyed. The consumer for which it decoded the image is not destroyed.

int QImageDecoder::decode ( const uchar * buffer, int length )
Call this function to decode some data into image changes. The data will be decoded, sending change information to the QImageConsumer of this QImageDecoder, until one of the change functions of the consumer returns FALSE.

Returns the number of bytes consumed, 0 if consumption is complete, and -1 if decoding fails dur to invalid data.

const char* QImageDecoder::formatName ( const uchar * buffer, int length ) [static]
Call this function to find the name of the format of the given header. The returned string is statically allocated.

Returns 0 if the format is not recognized.

const QImage& QImageDecoder::image ()
Returns the image currently being decoded.

QStrList QImageDecoder::inputFormats () [static]
Returns a sorted list of formats for which asynchronous loading is supported.

void QImageDecoder::registerDecoderFactory ( QImageFormatType * f ) [static]
Registers a new QImageFormatType. This is not needed in application code as factories call this themselves.

void QImageDecoder::unregisterDecoderFactory ( QImageFormatType * f ) [static]
Unregisters a new QImageFormatType. This is not needed in application code as factories call this themselves.

SEE ALSO
http://www.troll.no/qt/qimagedecoder.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.